# = Class: irstea
#
# Paramètres de préconfiguration IRSTEA.
# Utilisé par tous les sous-types (copix3, symfony14, symfony20).
#
# == Actions:
#   Aucune.
#
# == Parameters:
#   $app_name:: Nom de l'application (optionel, nom d'hôte sans le suffixe "-dev")
#
#   $database:: Nom de la base de données (optionel, $app_name).
#
#   $dbuser:: Nom de l'utilisateur de base de données à utiliser (optionel, "www-data").
#
# == Requires:
#   Rien.
#
class irstea::parameters(
    $app_name = regsubst(regsubst($hostname, '-dev$', ''), '[^A-Za-z0-9]+', '_'),
    $database = $app_name,
    $dbuser   = "www-data"
){
    $app_root = "/var/www/appli"
    info("Nom d'hote: $hostname")
    info("Application: $app_name")
    info("Base de donnees: $database")
    info("Utilisateur BD: $dbuser")
}
