# = Class: irstea::symfony
#
# Préconfiguration commune Symfony.
#
# Etend la classe irstea.
#
# == Actions:
#   - Supprime le fichier /var/www/appli/web/.htaccess.
#   - Active les modules Apache rewrite et expires.
#   - Installe une configuration PHP5 irstea.ini.
#
# == Parameters:
#   cf. irstea::parameters
#
# == Requires:
#   - Class['irstea']
#
class irstea::symfony inherits irstea {
    # Supprime le fichier .htaccess
    file { "${app_root}/web/.htaccess":
        ensure => absent 
    }
    
    # Modules Apache supplémentaires
    apache2::module { ["rewrite", "expires"]:
        package => "" 
    }

    # Configuration PHP5 adaptée
    $short_open_tag = false
    php5::config { "irstea.ini": 
        content => template("irstea/php.ini.erb")
    }
}
