# = Resource: php5::config
#
# Installe un fichier de configuratin pour PHP5.
#
# == Actions:
#   - Installe le fichier de configuration PHP5 dans /etc/php5/conf.d.
#
# == Parameters:
#   $name:: Nom du fichier à installer.
#   $source:: Source du fichier sur disque (optionnel).
#   $content:: Contenu du fichier (optionnel).
#
# == Requires:
#   - Class["php5"]
#
# == Sampe Usage:
#
# php5::config { "maconfig.ini": 
#   source => "puppet:///maconfig.ini"
# }
#
define php5::config (
    $source  = undef,
    $content = undef
) {
    include php5

    file { "/etc/php5/conf.d/${name}":
        ensure  => present,
        source  => $source,
        content => $content,
        require => Package['php5-common']
    }

}