# = Class: php5
#
# Installe PHP5.
#
# == Actions:
#   - Installe le package php5-common.
#   - Installe les modules PHP5 xcache, suhosin et cli.
#   - Installe le module Apache2 php5 si Apache2 est installé.
#   - Installe le module PHP5 pgsql si PostgreSQL est installé.
#   - Installe le module PHP5 memcached si Memcached est installé.
#
# == Parameters:
#   Aucun.
#
# == Requires:
#   Rien.
#
# == Sampe Usage:
#
# class { "php5": }
#
class php5 {
    # Packages
    package { "php5-common": }
    
    # Installation en tant que module d'Apache
    if defined(Package["apache2"]) {
        apache2::module { "php5": } <- Package['apache2']
        
        # Tous les fichiers et packages de PHP doivent provoquer
        # une mise-à-jour du service Apache2.
        Package { notify => Service['apache2'] }
        File { notify => Service['apache2'] }
    }

    # Installation ligne de commande et modules par défaut
    php5::module { ["xcache", "suhosin", "cli"]: }

    # Support PostgreSQL
    if defined(Package["postgresql"]) {
        php5::module { "pgsql": } <- Package["postgresql"]
    }
    
    # Support Memcached
    if defined(Package["memcached"]) {
        php5::module { "memcached": } <- Package["memcached"]
    }

}
