# = Resource: php5::module
#
# Installe un module PHP5.
#
# == Actions:
#   - Installe le fichier de configuration.
#
# == Parameters:
#   $name:: Nom du module.
#   $package:: Nom du package contenant le module (optionnel).
#   $conf_source:: Fichier de configuration (optionnel).
#   $conf_content:: Contenu du fichier de configuration (optionnel).
#
# == Requires:
#   - Class["php5"]
#
# == Sampe Usage:
#
# Installe php-gd:
#   php5::module { "gd": }
#
define php5::module(
    $package      = undef,
    $conf_source  = undef,
    $conf_content = undef
) {
    include php5

    if $package == undef {
        $_package = "php5-${name}"
    } else {
        $_package = $package
    }

    package { $_package:
        ensure  => present,
        require => Package['php5-common']
    }

    if ($conf_source or $conf_content) {
        php5::config { "${name}.ini":
            source  => $conf_source,
            content => $conf_content,
            require => Package[$_package]
        }
    }

}