# = Class: php5::pear
#
# Installe le système de distribution de package PHP PEAR.
#
# == Actions:
#   - Installe PEAR.
#   - Fait une mise à jour de PEAR (mais pas plus d'une fois par jour).
#
# == Parameters:
#   Aucun.
#
# == Requires:
#   - Class["php5"]
#   - Php5::Module["cli"]
#
# == Sampe Usage:
#
# Installe php-gd:
#   class { "php5::pear": }
#
class php5::pear {
    include php5

    # PEAR requis et requiert php5-cli
    package { "php-pear":
        require => Php5::Module["cli"],
    }
    
    # Met à jour PEAR après l'avoir installé
    schedule { pear_daily: period => daily }
    exec { "pear upgrade":
        command => "/usr/bin/pear upgrade",
        require => Package["php-pear"],
        schedule => pear_daily
    }
}