# = Resource: php5::pear:channel
#
# Installe un canal de distriubtion PEAR.
#
# == Actions:
#   - Installe le canal de distriubtion PEAR via pear channel-discover.
#
# == Parameters:
#   $name:: Alias du canal.
#
#   $channel:: Nom complet du canal (optionnel).
#
# == Requires:
#   - Class["php5::pear"]
#
# == Sampe Usage:
#
# Installe le canal phpunit:
#   php5::pear::channel { "phpunit": 
#     channel => "pear.phpunit.de" 
#   }
#
define php5::pear::channel(
    $channel = $name
) {
    include php5::pear
    
    # Installe le canal si nécessaire
    exec { "pear-channel ${channel}":
        command => "/usr/bin/pear channel-discover '${channel}'",
        unless  => "/usr/bin/pear list -c '${channel}' >/dev/null",
        require => Exec["pear upgrade"]
    }
    
}
