# = Resource: php5::pear:channel
#
# Installe un package PHP5 via PEAR.
#
# == Actions:
#   - Installe le package.
#
# == Parameters:
#   $name:: Nom sous la forme "channel/package".
#
#   $package::Nom PEAR du package (optionnel).
#
#   $channel:: Alias du canal PEAR du package (optionnel).
#
# == Requires:
#   - Class["php5::pear"]
#   - Php5::Pear::Channel[$channel]
#
# == Sampe Usage:
#
# Installe le package PHPUnit:
#   php5::pear::package { "phpunit/PHPUnit": }
#
define php5::pear::package(
    $package = undef,
    $channel = undef
) {
    include php5::pear
    
    if !$package and !$channel and $name =~ /^(.*)\/(.*)$/ {
        $_channel = $1
        $_package = $2
    } else {
        $_package = $package
        $_channel = $channel
    }

    # Installe le package si nécessaire
    exec { "pear-package ${_channel}/${_package}":
        command => "/usr/bin/pear install '${_channel}/${_package}'",
        unless  => "/usr/bin/pear list '${_channel}/${_package}' >/dev/null",
        require => Php5::Pear::Channel[$_channel],
    }
    
}
