#### Configuration Puppet du système installé dans la machine virtuelle
#
# - L'ordre de déclaration n'a pas d'importance.
# - Il n'est pas possible de déclarer 2 fois la même ressource.
# - Un certain nombre de ressources sont déjà déclarées dans les préconfigurations IRSTEA.

############################
# Préconfigurations IRSTEA #
############################

#### Paramètres généraux (cf. modules/irstea/manifests/parameters.pp)
class { "irstea::parameters":

    ## Nom de l'application (par défaut: nom d'hôte)
    #app_name => "myapp",
    
    ## Nom de la base de données (par défaut: nom d'hôte)
    #database => "myapp",
    
    ## Nom de l'utilisateur PostgreSQL à utiliser (par défaut: "www-data")
    #dbuser => "admin"
}

#### Choisir une configuration type:

# Copix3 (cf. modules/irstea/manifests/copix3.pp)
# class { "irstea::copix3": }

# Symfony 1.4 (cf. modules/irstea/manifests/symfony14.pp)
# class { "irstea::symfony14": }

# Symfony 2.0 (cf. modules/irstea/manifests/symfony20.pp)
class { "irstea::symfony20": }

################################
# Configuration supplémentaire #
################################

#### Package système
# package { "htop": }

#### Modules Apache (cf. modules/apache2/manifests/module.pp
# apache2::module { "perl2": }

#### Site Apache (cf. modules/apache2/manifests/site.pp
# apache2::site { "mon-site-2":
#   source => "puppet:///mon-site-2"
# }

#### Modules PHP5 (cf. modules/php5/manifests/module.pp)
# php5::module { "ldap": } 

#### Fichiers de paramètres PHP5 (cf. modules/php5/manifests/config.pp)
# php5::config { "ldap": 
#    source => "puppet:///ldap.ini"
# }

#### Canaux et packages PEAR (cf. modules/php5/manifests/pear)
# php5::pear::channel { "phpunit":
#   channel => "pear.phpunit.de"}
# }
# php5::pear::package { "phpunit/PHPUnit": }

#### Utilisateur et BD Postgresql (cf. modules/postgresql/manifests)
# postgresql::user { "admin":
#   createdb => true,
# }
# postgresql::databse { "mydb":
#   owner => "admin",
# }
